Bug 1074674 - enable easymock module
enable easymock module
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: powermock (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Michael Simacek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2014-03-10 15:47 EDT by Pete MacKinnon
Modified: 2014-05-12 18:17 EDT (History)
6 users (show)

See Also:
Fixed In Version: powermock-1.4.12-10.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-04-09 09:15:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Pete MacKinnon 2014-03-10 15:47:36 EDT
$ rpm -q easymock
easymock-3.2-2.fc21.noarch

The latest version of powermock in rawhide appears to build with the latest version of easymock.

Without the api/pom.xml patch:

[INFO] powermock ......................................... SUCCESS [13.682s]
[INFO] powermock-reflect ................................. SUCCESS [8.658s]
[INFO] powermock-core .................................... SUCCESS [7.167s]
[INFO] powermock-api ..................................... SUCCESS [0.031s]
[INFO] powermock-api-support ............................. SUCCESS [3.025s]
[INFO] powermock-api-easymock ............................ SUCCESS [4.883s]
[INFO] powermock-api-mockito ............................. SUCCESS [4.806s]
[INFO] powermock-modules ................................. SUCCESS [0.013s]

<snip>

./api/easymock/target/powermock-api-easymock-1.4.12.jar
./api/easymock/target/powermock-api-easymock-1.4.12-javadoc.jar
./api/easymock/target/powermock-api-easymock-1.4.12-sources.jar

Please consider enabling this module and providing a sub-package for same.
Comment 1 Fedora Update System 2014-03-28 05:37:55 EDT
powermock-1.4.12-10.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/powermock-1.4.12-10.fc20
Comment 2 Fedora Update System 2014-03-30 02:07:01 EDT
Package powermock-1.4.12-10.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing powermock-1.4.12-10.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4488/powermock-1.4.12-10.fc20
then log in and leave karma (feedback).
Comment 3 Fedora Update System 2014-04-09 09:15:51 EDT
powermock-1.4.12-10.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Christopher Tubbs 2014-05-12 18:03:22 EDT
The 1.4 version, and some of the 1.5 versions of powermock (using PowerMockRunner and expectNew) don't work with EasyMock 3.2, (http://code.google.com/p/powermock/issues/detail?id=454)

This issue appears fixed by PowerMock 1.5.4. Do I need to create a separate issue?
Comment 5 Christopher Tubbs 2014-05-12 18:17:18 EDT
Filed bz#1096992

Note You need to log in before you can comment on or make changes to this bug.